reverted:
--- ../spip-1.6b7/spip.orig/ecrire/inc.php3	Sat Mar 15 23:53:02 2003
+++ site/ecrire/inc.php3	Tue Apr  8 12:22:32 2003
@@ -271,7 +271,7 @@
 		unset($fichiers);
 		if ($result) while ($row = spip_fetch_array($result)) {
 			$fichier = $row['fichier'];
+			@unlink(lire_meta(cachedir_path) . "/$fichier");
-			@unlink("../CACHE/$fichier");
 			$fichiers[] = $fichier;
 		}
 		if ($fichiers) {
reverted:
--- ../spip-1.6b7/spip.orig/inc-cache.php3	Fri Jan  3 01:40:32 2003
+++ site/inc-cache.php3	Tue Apr  8 12:23:36 2003
@@ -26,7 +26,7 @@
 
 	$subdir_cache = substr($md_cache, 0, 1);
 
+	if (creer_repertoire(lire_meta(cachedir_path), $subdir_cache))
-	if (creer_repertoire("CACHE", $subdir_cache))
 		$fichier_cache = "$subdir_cache/$fichier_cache";
 
 	return $fichier_cache;
reverted:
--- ../spip-1.6b7/spip.orig/inc-calcul.php3	Fri Mar 21 22:59:40 2003
+++ site/inc-calcul.php3	Tue Apr  8 12:22:12 2003
@@ -291,7 +291,7 @@
 
 	// Si squelette pas deja inclus, l'inclure
 	if (!$fonctions_squelettes[$squelette]) {
+		$squelette_cache = lire_meta(cachedir_path) . '/skel_'.rawurlencode($squelette).'.php3';
-		$squelette_cache = 'CACHE/skel_'.rawurlencode($squelette).'.php3';
 		$use_cache = false;
 		if (file_exists($squelette_cache)) {
 			$t = filemtime($squelette_cache);
reverted:
--- ../spip-1.6b7/spip.orig/inc-forum.php3	Wed Feb 26 23:34:20 2003
+++ site/inc-forum.php3	Tue Apr  8 12:22:52 2003
@@ -387,7 +387,7 @@
 		unset($fichiers);
 		while ($row = spip_fetch_array($result)) {
 			$fichier = $row["fichier"];
+			@unlink(lire_meta(cachedir_path) . "/$fichier");
-			@unlink("CACHE/$fichier");
 			$fichiers[] = "'".$fichier."'";
 		}
 		if ($fichiers) {
reverted:
--- ../spip-1.6b7/spip.orig/inc-public-global.php3	Fri Feb 28 22:20:46 2003
+++ site/inc-public-global.php3	Tue Apr  8 12:21:46 2003
@@ -16,7 +16,7 @@
 		while(list($key, $val) = each($contexte_inclus)) $fichier_requete .= '&'.$key.'='.$val;
 	}
 	$fichier_cache = generer_nom_fichier_cache($fichier_requete);
+	$chemin_cache = lire_meta(cachedir_path) . '/' .$fichier_cache;
-	$chemin_cache = "CACHE/".$fichier_cache;
 
 	$use_cache = utiliser_cache($chemin_cache, $delais);
 
@@ -42,7 +42,7 @@
 $fichier_requete = eregi_replace('&(submit|valider|(var_[^=&]*)|recalcul)=[^&]*', '', $fichier_requete);
 
 $fichier_cache = generer_nom_fichier_cache($fichier_requete);
+$chemin_cache = lire_meta(cachedir_path) . '/' . $fichier_cache;
-$chemin_cache = "CACHE/".$fichier_cache;
 
 $use_cache = utiliser_cache($chemin_cache, $delais);
 
@@ -74,7 +74,7 @@
 	$lastmodified = time();
 	if (($lastmodified - lire_meta('date_purge_cache')) > 24 * 3600) {
 		ecrire_meta('date_purge_cache', $lastmodified);
+		$f = fopen(lire_meta(cachedir_path) . '/.purge', 'w');
-		$f = fopen('CACHE/.purge', 'w');
 		fclose($f);
 	}
 
@@ -172,7 +172,7 @@
 // Verifier la presence du .htaccess dans le cache, sinon le generer
 //
 
+if (!file_exists(lire_meta(cachedir_path) . "/.htaccess")) {
-if (!file_exists("CACHE/.htaccess")) {
 	if ($hebergeur == 'nexenservices'){
 		echo "<font color=\"#FF0000\">IMPORTANT : </font>";
 		echo "Votre h&eacute;bergeur est Nexen Services.<br />";
@@ -181,7 +181,7 @@
 		echo "Veuillez cr&eacute;er manuellement la protection pour ce r&eacute;pertoire (un couple login/mot de passe est n&eacute;cessaire).<br />";
 	}
 	else{
+		$f = fopen(lire_meta(cachedir_path) . "/.htaccess", "w");
-		$f = fopen("CACHE/.htaccess", "w");
 		fputs($f, "deny from all\n");
 		fclose($f);
 	}
@@ -266,17 +266,17 @@
 // Faire du menage dans le cache (effacer les fichiers tres anciens)
 // Se declenche une fois par jour quand le cache n'est pas recalcule
 //
+if (!$timeout AND $use_cache AND file_exists(lire_meta(cachedir_path) . '/.purge2')) {
-if (!$timeout AND $use_cache AND file_exists('CACHE/.purge2')) {
 	include_ecrire('inc_connect.php3');
 	if ($db_ok) {
+		unlink(lire_meta(cachedir_path) . '/.purge2');
-		unlink('CACHE/.purge2');
 		spip_log("purge cache niveau 2");
 		$query = "SELECT fichier FROM spip_forum_cache WHERE maj < DATE_SUB(NOW(), INTERVAL 14 DAY)";
 		$result = spip_query($query);
 		unset($fichiers);
 		while ($row = spip_fetch_array($result)) {
 			$fichier = $row['fichier'];
+			if (!file_exists(lire_meta(cachedir_path) . "/$fichier")) $fichiers[] = "'$fichier'";
-			if (!file_exists("CACHE/$fichier")) $fichiers[] = "'$fichier'";
 		}
 		if ($fichiers) {
 			$query = "DELETE FROM spip_forum_cache WHERE fichier IN (".join(',', $fichiers).")";
@@ -285,15 +285,15 @@
 		$timeout = true;
 	}
 }
+if (!$timeout AND $use_cache AND file_exists(lire_meta(cachedir_path) . '/.purge')) {
-if (!$timeout AND $use_cache AND file_exists('CACHE/.purge')) {
 	include_ecrire('inc_connect.php3');
 	if ($db_ok) {
+		unlink(lire_meta(cachedir_path) . '/.purge');
-		unlink('CACHE/.purge');
 		spip_log("purge cache niveau 1");
+		$f = fopen(lire_meta(cachedir_path) . '/.purge2', 'w');
-		$f = fopen('CACHE/.purge2', 'w');
 		fclose($f);
 		include_local ("inc-cache.php3");
+		purger_repertoire(lire_meta(cachedir_path), 14 * 24 * 3600);
-		purger_repertoire('CACHE', 14 * 24 * 3600);
 		$timeout = true;
 	}
 }
reverted:
--- ../spip-1.6b7/spip.orig/spip_cache.php3	Mon Oct  7 13:43:12 2002
+++ site/spip_cache.php3	Tue Apr  8 12:23:19 2003
@@ -10,18 +10,18 @@
 
 if ($purger_cache == "oui") {
 	if (verifier_action_auteur("purger_cache", $hash, $id_auteur)) {
+		purger_repertoire(lire_meta(cachedir_path), 0);
-		purger_repertoire("CACHE", 0);
 		spip_query("DELETE FROM spip_forum_cache");
 	}
 }
 
 if ($purger_squelettes == "oui") {
 	if (verifier_action_auteur("purger_squelettes", $hash, $id_auteur)) {
+		purger_repertoire(lire_meta(cachedir_path), 0, '^skel_');
-		purger_repertoire("CACHE", 0, '^skel_');
 	}
 }
 
 $url = "./ecrire/" . $redirect;
 @header ("Location: $url");
 
+?>
-?>
\ No newline at end of file
reverted:
--- ../spip-1.6b7/spip.orig/spip_test_dirs.php3	Sat Mar 15 23:53:02 2003
+++ site/spip_test_dirs.php3	Tue Apr  8 12:23:53 2003
@@ -43,7 +43,7 @@
 if ($test_dir)
 	$test_dirs[] = $test_dir;
 else
+	$test_dirs = array(lire_meta(cachedir_path), "IMG", "ecrire", "ecrire/data");
-	$test_dirs = array("CACHE", "IMG", "ecrire", "ecrire/data");
 	unset($bad_dirs);
 
 while (list(, $my_dir) = each($test_dirs)) {
